<?php

/**
 * @file
 * Contains \Drupal\nvt_fontawesome_icon\Plugin\Field\FieldFormatter\FontAwesomeDefaultFormatter.
 */

namespace Drupal\nvt_fontawesome_icon\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'Random_default' formatter.
 *
 * @FieldFormatter(
 *   id = "fontawesome_default",
 *   label = @Translation("FontAwesome Icon"),
 *   field_types = {
 *     "Navi_Font_Awesome"
 *   }
 * )
 */
class FontAwesomeDefaultFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function settingsSummary() {
    $summary = array();
    $settings = $this->getSettings();

    $summary[] = t('Displays the FontAwesome icon.');

    return $summary;
  }

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $element = array();

    foreach ($items as $delta => $item) {
      // Render each element as markup.
      $element[$delta] = array(
        '#type' => 'markup',
        '#markup' => '<i class="'.$item->fontawesome_icon.'"></i>',
      );
    }

    return $element;
  }
}