<?php
namespace Drupal\nvt_fontawesome_icon\Plugin\Field\FieldWidget;
use Drupal;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\WidgetBase;
use Drupal\Core\Form\FormStateInterface;
/**
* Plugin implementation of the 'FontAwesomeDefaultWidget' widget.
*
* @FieldWidget(
*   id = "FontAwesomeDefaultWidget",
*   label = @Translation("FontAwesome Icon"),
*   field_types = {
*     "Navi_Font_Awesome"
*   }
* )
*/
class FontAwesomeDefaultWidget extends WidgetBase {
    /**
    * Define the form for the field type.
    *
    * Inside this method we can define the form used to edit the field type.
    *
    * Here there is a list of allowed element types: https://goo.gl/XVd4tA
    */
public function formElement(
    FieldItemListInterface $items,
    $delta,
    Array $element,
    Array &$form,
    FormStateInterface $formState
    ) {
    $title = $this->fieldDefinition->getLabel();
    $element['fontawesome_icon'] = [
        '#type' => 'textfield',
        '#prefix' => '<div class="form-group field-fontawesome"><div class="input-group">',
        '#suffix' => '</div></div>',
        '#title' => $title,
        '#attributes' => array(
            'class' => array('form-control icp icp-auto'),
            'data-placement' => 'bottomRight'
         ),
        '#size' => 30,
        // Set here the current value for this field, or a default value (or
        // null) if there is no a value
        '#default_value' => isset($items[$delta]->fontawesome_icon) ?
        $items[$delta]->fontawesome_icon : NULL,
        '#placeholder' => t('fa-archive'),
        '#attached' => array('library'=> array('nvt_fontawesome_icon/fontawesome_picker')),
    ];
    return $element;
    }
} // class